<template>
	<view class="phone-tongzhi-page">
		<view class="icon-title-navBar-box">
			<view @click="goUpPage" class="nav-bar-icon"></view>
			<text class="nav-bar-title">{{tzData.name}}</text>
			<!-- <icon class="tongzhi-down-icon" @click="downBtn"></icon> -->
		</view>
		<view class="tongzhi-body-box">
			<!-- <view class="tongzhi-name">{{tzData.name}}</view> -->
			<view class="tongzhi-time">{{tzData.time}}</view>
			<rich-text :nodes="tzData.content" class="tongzhi-content"></rich-text>
		</view>
	</view>
</template>

<script setup>
	import {onLoad,onShow} from '@dcloudio/uni-app';
	import {getAppNoticeInfo} from '@/api/shouye.js'
	import {ref,reactive} from "vue"
	const tzData = reactive({
		name: '',
		time: '',
		content: '',
		downUrl: '',
	})
	onLoad((options) => {
		initPage(options);
	})
	function goUpPage(){
		uni.redirectTo({
			url: '/pages/admin/tongzhi/list'
		})
	}
	// 下载
	function downBtn(){
		//downUrl
	}
	function initPage(options) {
		const opt = {
			noticeId: options.noticeId,
		}
		getAppNoticeInfo(opt).then(res => {
			tzData.name = res.data.name;
			tzData.time = res.data.createTime;
			tzData.content = res.data.content;
			tzData.downUrl = res.data.content;
		})
	}
</script>

<style>

</style>
